Last Comment Bug 658741 - [adbe 2882374] (with flash player 10.3 installed) youtube video hang when clicking on it, then firefox not responsive, then flash crashed but contained by plugin-container.exe
: [adbe 2882374] (with flash player 10.3 installed) youtube video hang when cli...
Status: VERIFIED FIXED
dao nominated without comment
: qawanted, regression
Product: Core
Classification: Components
Component: Plug-ins (show other bugs)
: Trunk
: x86 Windows XP
: -- major (vote)
: mozilla7
Assigned To: Jim Mathies [:jimm]
:
Mentors:
Depends on:
Blocks: 648935
  Show dependency treegraph
 
Reported: 2011-05-20 20:51 PDT by Ageios
Modified: 2011-08-10 07:14 PDT (History)
23 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
fixed


Attachments
here is a crash demonstration (783.27 KB, application/octet-stream)
2011-05-23 02:57 PDT, dindog
no flags Details
crash demo of YouTube video (2.41 MB, application/octet-stream)
2011-05-23 06:35 PDT, dindog
no flags Details
backout patch for approval (2.71 KB, patch)
2011-05-27 09:54 PDT, Jim Mathies [:jimm]
benjamin: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Ageios 2011-05-20 20:51:41 PDT
User-Agent:       Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110520 Firefox/6.0a1
Build Identifier: Mozilla/5.0 (Windows NT 5.1; rv:6.0a1) Gecko/20110520 Firefox/6.0a1

I start getting annoyed since the 20110519 build; flash content, especially youtube video on standby mode (when the video is opaque with a "play" symbol at the center) or youtube video being played automatically, will hang if you click on it, then eventually crashed. if you have other tabs with flash content; they crashed as well.

Reproducible: Always

Steps to Reproduce:
1.Make sure you installed adobe flash player 10.3 or latest
2.Open a new profile
3.accesss youtube.com, feel free to click on any youtube video on standby mode (when the video is opaque with a "play" symbol at the center) or any automatically played youtube video 

Actual Results:  
youtube video hang, causing firefox.exe unresponsive for a few seconds, then youtube video crashed but contained by plugin-container.exe.

Expected Results:  
Youtube video on standby mode start playing. A automatically played video shouldn't hang if clicked on it.

e15b221e-804f-4d19-a01b-3acb88be3987
d3fc9921-3e8e-48b3-888d-b774e87e8206
Comment 1 dindog 2011-05-21 03:53:03 PDT
I encounter same error, it hang for a while and said the plugin crash.
The CPU usage is normal when it hang.

Beside, not only flash, and some other plugin need click on it
Comment 2 XtC4UaLL [:xtc4uall] 2011-05-22 04:11:51 PDT
The Crash IDs are invalid. Can you try to get proper ones and/or make sure they're actually sent?
Comment 3 dindog 2011-05-22 06:43:40 PDT
(In reply to comment #2)
> The Crash IDs are invalid. Can you try to get proper ones and/or make sure
> they're actually sent?

Reproducible is always. but not sure where to get this Crash ID, I report it follow this link instrution:
http://support.mozilla.com/en-US/kb/Plugin%20crash%20reports?as=u

and it said crash report sent...
Comment 4 dindog 2011-05-22 09:30:46 PDT
bp-22186224-3064-466d-8ae6-719b82110522
4ff8b0e2-4326-4a68-a9d5-e7a839de8873
bp-7eb4a0ae-e5d9-4826-9fb9-f6fe52110522
bp-761219b8-57e5-4197-a737-9eb372110522
bp-b3a358e8-62d1-4522-b283-f4f062110522
bp-51c5db08-33f2-4e77-a384-594f32110522
ff008bf2-0193-411f-8dd7-24a9ae8d35fe

just learn there is a about:crashes. I think most, if not all, is about the bug mention above
Comment 5 XtC4UaLL [:xtc4uall] 2011-05-22 11:12:35 PDT
Some "Crashes" (actually Plugin Hangs) point to Bug 565708.
The others to Bug 618683.
Comment 6 dindog 2011-05-22 18:36:04 PDT
I am curious. This bug we can always reproduce, but didn't hear others complain about it in forum, it is about hardware or system status?

and 20110518 was totally fine, every nightly after that come up with this bug, maybe you guys would look into what had changed in that day would have the potential bug
Comment 7 Thomas Ahlblom 2011-05-22 19:53:12 PDT
This is what has changed in firefox-6.0a1.en-US.win32 Nightly between 2011-05-18 and 2011-05-19:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=dec16a247230&tochange=caba046161e5

(This is not my own track down, but just the regression range given in comment 0 and comment 6.)

If you have time you may try to track down your bug and see which hour it occurred:
https://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-win32/
Comment 8 dindog 2011-05-22 22:43:05 PDT
1305720084 is the first easy crash build, but the one before it, 1305713182 encounter crashing but only once in my simple test(just open random flash videos or flash games), and I not sure it because of this bug.(flash crashs, every now and then)

So what have change in 1305720084 is probably cause this bug.

P.S.
don't know how to connect this build ID to the pushlog

(In reply to comment #7)
> This is what has changed in firefox-6.0a1.en-US.win32 Nightly between
> 2011-05-18 and 2011-05-19:
> http://hg.mozilla.org/mozilla-central/
> pushloghtml?fromchange=dec16a247230&tochange=caba046161e5
> 
> (This is not my own track down, but just the regression range given in
> comment 0 and comment 6.)
> 
> If you have time you may try to track down your bug and see which hour it
> occurred:
> https://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-
> central-win32/
Comment 9 Thomas Ahlblom 2011-05-22 23:58:37 PDT
There's a text file like this one in each folder:
https://ftp.mozilla.org/pub/mozilla.org/firefox/tinderbox-builds/mozilla-central-win32/1305720084/firefox-6.0a1.en-US.win32.txt

The contents of that file looks something like this:
20110518050124
http://hg.mozilla.org/mozilla-central/rev/d40eac0106f5

The second line contains the Build ID, and that's the last changeset in that build. You can also find that in you browser if you enter "about:buildconfig" in the address bar.

Now we can copy/paste the actual changeset ID from that URL and manually make a link to the push log, like this:

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=4aad8ef5c011&tochange=dec16a247230
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=dec16a247230&tochange=d40eac0106f5

The first regression range seems to be an empty one, but the second one has contents and if we haven't done any mistakes in our track down the answer to why your Firefox crashes may hide somewhere there.
Comment 10 AndreiD[QA] 2011-05-23 00:53:21 PDT
This looks like the same issue as in bug 658130.
Comment 11 dindog 2011-05-23 02:01:48 PDT
(In reply to comment #10)
> This looks like the same issue as in bug 658130.

I try unistall 10.3 and install 10.2 flash plugin, nothing changes. Still nightly before 0518 work fine, after that crash. It's interesting those autoplay videos are not affect, it only hangs after click
Comment 12 AndreiD[QA] 2011-05-23 02:04:44 PDT
Can you attach a screen video of the issue? 
It's still unclear what are the circumstances of the crash and a video would help, maybe. Thanks
Comment 13 dindog 2011-05-23 02:14:50 PDT
(In reply to comment #12)
> Can you attach a screen video of the issue? 
> It's still unclear what are the circumstances of the crash and a video would
> help, maybe. Thanks

you mean to capture a video how it happen or provide a link which flash crash?
Comment 14 AndreiD[QA] 2011-05-23 02:16:14 PDT
In reply to Comment 13. Yes, a video capture of how it happens.
Comment 15 dindog 2011-05-23 02:57:47 PDT
Created attachment 534388 [details]
here is a crash demonstration

I took me sometime to learn how to capture in video. but it turn out became a super fast one.
And here I use another plugin, Microsoft's sliverlight to demonstrate, as I said, not only flash, but aslo any plugin as long as I need to click. It's a Live.com skydriver upload page.

I delete those vacuun hanging time to reduce the video size, so it look like it crash immediately. In real time, it took about 40sec from firefox hangs to tell you the plugin is crash.
Comment 16 AndreiD[QA] 2011-05-23 04:28:08 PDT
(In reply to comment #15)
> here is a crash demonstration

Thanks for the demo

> And here I use another plugin, Microsoft's sliverlight to demonstrate, as I
> said, not only flash, but aslo any plugin as long as I need to click. It's a
> Live.com skydriver upload page.

But since this bug reported an issue related to Flash plugin, you example does not apply in this case. Please file another bug for the Silverlight. 
And if possible, attach a demo that reflects this bug (as in the Description) as you mentioned in Comment 1:
> I encounter same error, it hang for a while and said the plugin crash.
The CPU usage is normal when it hang.
that you can reproduce it as well.

Thanks
Comment 17 dindog 2011-05-23 06:35:30 PDT
Created attachment 534422 [details]
crash demo of YouTube video

And this is a YouTube demo, the first open video work fine, then I try another.
It plays, then I click the Pause, the whole browser hangs.

it pretty much the same as sliverlight, and there is another less well-know plugin crash the same way (a Chinese online bank plugin), I believe it is about the mechanics of firefox plugins rather some incompatibility with specific plugin.
Well, it seem lucky that only a small group of users encounter this bug.
Comment 18 dindog 2011-05-23 07:22:01 PDT
(In reply to comment #5)
> Some "Crashes" (actually Plugin Hangs) point to Bug 565708.
> The others to Bug 618683.

I read Bug 565708 and find flash will crash only when dom.plugins.ipc.enabled is disabled.
After I disabled that entry, crash no more. Maybe bug565708 should reopen for further disscusion
Comment 19 Ageios 2011-05-23 08:04:24 PDT
(In reply to comment #18)
> (In reply to comment #5)
> > Some "Crashes" (actually Plugin Hangs) point to Bug 565708.
> > The others to Bug 618683.
> 
> I read Bug 565708 and find flash will crash only when
> dom.plugins.ipc.enabled is disabled.
> After I disabled that entry, crash no more. Maybe bug565708 should reopen
> for further disscusion

Confirmed. 
Set dom.plugin.ipc.enabled to false, and the plugin (in this sense, flash player) no longer hung then crashed.
Comment 20 Asa Dotzler [:asa] 2011-05-24 15:21:51 PDT
I'm unable to reproduce this problem with any of a dozen videos I played, paused and clicked around on at YouTube. Testing on Windows XP SP3 with out of process plug-ins enabled and Flash Player 10.3.
Comment 21 Toshihiro Yamada 2011-05-24 15:30:30 PDT
I encountered same problem on Youtube and some sites using flash for their contents.
But the problem occurs randomly. Sometimes works fine, sometimes freezes.
So I can't get any reproducible way for this bug... 

And by setting dom.plugin.ipc.enabled to false, it works fine.
Comment 22 dindog 2011-05-25 03:15:17 PDT
(In reply to comment #20)
> I'm unable to reproduce this problem with any of a dozen videos I played,
> paused and clicked around on at YouTube. Testing on Windows XP SP3 with out
> of process plug-ins enabled and Flash Player 10.3.
yes, it seem like just a small part of user meet these crashing.
Would this bug relate to Bug 651192 ?
Comment 23 dindog 2011-05-25 03:15:38 PDT
(In reply to comment #20)
> I'm unable to reproduce this problem with any of a dozen videos I played,
> paused and clicked around on at YouTube. Testing on Windows XP SP3 with out
> of process plug-ins enabled and Flash Player 10.3.
yes, it seem like just a small part of user meet these crashing.
Would this bug relate to Bug 651192 ?
Comment 24 Asa Dotzler [:asa] 2011-05-26 15:03:37 PDT
We'd like to get on top of what's going on here. Josh, can you work with QA and who ever else we need to to get a handle on this?
Comment 25 Josh Aas 2011-05-26 15:47:02 PDT
Yeah, I've pointed some relevant people to this bug.
Comment 26 Jet Villegas (:jet) 2011-05-26 15:49:56 PDT
Picking this up.
Comment 27 Jim Mathies [:jimm] 2011-05-26 16:15:45 PDT
(In reply to comment #9)
> http://hg.mozilla.org/mozilla-central/
> pushloghtml?fromchange=dec16a247230&tochange=d40eac0106f5

Bug 648935 - Process native events during calls to WaitForNotify in the child process when nested native event loops are detected in the parent. r=bsmedberg.

Bug 648935 - When paint events are deferred in WindowsMessageLoop, temporarily validate the plugin until painting can occur. r=bent.

Bug 648935 - Prevent focus event overhead when the dom sets the focus to a windowed plugin. r=bsmedberg.

Bug 648935 - Remove dead code from plugin instances. r=bsmedberg.

My first guess would be the deferred paint or focus changes. Do we have folks here who can reliably reproduce? I can fire up some try builds with each of these backed out so we can figure out the patch that regressed.
Comment 28 dindog 2011-05-26 17:10:30 PDT
(In reply to comment #27)
> My first guess would be the deferred paint or focus changes. Do we have
> folks here who can reliably reproduce? I can fire up some try builds with
> each of these backed out so we can figure out the patch that regressed.
I can reproduce it and feel pleasure to try if you tell me how to...
Comment 29 Jim Mathies [:jimm] 2011-05-26 21:52:13 PDT
Ok, I've pushed the two most likely suspects to try -

Without cset 945d0adb6232 (focus event changes):

https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jmathies@mozilla.com-9b8ab23a7b30/

Without cset 02f440119508 (paint event changes):

https://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/jmathies@mozilla.com-b99939a1ed49/

How to test:

1) open the try build dir above and save the firefox-6.0a2.en-US.win32.zip file out to your desktop
2) close firefox
3) click down into the zip and drag the firefox folder out to the desktop
4) click down into the firefox folder and run firefox.exe
5) test, then once you're done, you can close firefox and delete the folder and zip

My guess is the focus changes are the most likely culprit.
Comment 30 dindog 2011-05-26 22:29:06 PDT
The first build seems clean, no more crash or hangs.
the second build still crash like before.

So I think your guess is right.
Comment 31 Dão Gottwald [:dao] 2011-05-27 00:20:35 PDT
This means that Firefox 5 isn't affected, right?
Comment 32 dindog 2011-05-27 00:36:22 PDT
(In reply to comment #31)
> This means that Firefox 5 isn't affected, right?

firefox 5 beta seem ok. just download it and try a few flash video
Comment 33 Jim Mathies [:jimm] 2011-05-27 07:35:07 PDT
(In reply to comment #31)
> This means that Firefox 5 isn't affected, right?

Correct, these patches landed in 6.
Comment 34 Jim Mathies [:jimm] 2011-05-27 09:54:45 PDT
Created attachment 535670 [details] [diff] [review]
backout patch for approval
Comment 35 Jim Mathies [:jimm] 2011-05-27 15:29:54 PDT
http://hg.mozilla.org/mozilla-central/rev/b8c7dd3bddbc
Comment 36 Ageios 2011-05-27 18:50:16 PDT
I start a new clean profile, then applied the latest changeset; the result is the same as my description for this bug. I still have to set dom.plugins.ipc.enabled to false to prevent hang-crash issue.

bp-1568bbca-3cb4-4dc2-9c7e-345812110527
bp-9ac8924c-cc27-4ac6-b21f-4a5752110527
Comment 37 Boris Zbarsky [:bz] 2011-05-27 19:03:12 PDT
Those crashes are from a nightly that was compiled early in the morning on May 27, 2011.  The patch was checked in around 3:30 in the afternoon on May 27, 2011.

As in, the build you're using does not have the fix yet.  Tomorrow's nightly will.
Comment 38 Ageios 2011-05-28 08:50:15 PDT
This bug is resolved and fixed. Retracted 5/28 09:50 CST statement.
Comment 39 Asa Dotzler [:asa] 2011-06-01 11:55:13 PDT
Comment on attachment 535670 [details] [diff] [review]
backout patch for approval

approved for backing out of 6 Aurora.
Comment 40 Robert Kaiser 2011-06-09 14:44:29 PDT
Jimm, can this please land in Aurora as well? We're chasing why hangs are so high there and I just noted that this has only landed on trunk...
Comment 42 Remus Pop (:RemusPop) 2011-08-10 07:14:12 PDT
User Agent: Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0
Build ID: 20110804030150

Setting resolution to Verified Fixed as this issue is no longer reproducible.

Note You need to log in before you can comment on or make changes to this bug.